require 'json'
require 'mclib/log_parser'
require 'mclib/watcher'
require 'mclib/version'

module MCLib
  @@mc_dir = ''

  def self.set_mc_dir(dir)
    dir.chomp! '/' # in case of trailing slash
    @@mc_dir = dir
  end

  def self.get_mc_dir
    @@mc_dir
  end

  def self.ops
    json = JSON.parse(File.open(@@mc_dir + 'ops.json').read)
    json.collect { |user| user['name'] }
  end

  def self.whitelist
    json = JSON.parse(File.open(@@mc_dir + 'whitelist.json').read)
    json.collect { |user| user['name'] }
  end

  def self.banned_ips
    JSON.parse(File.open(@@mc_dir + 'banned-ips.json').read)
  end

  def self.banned_players
    JSON.parse(File.open(@@mc_dir + 'banned-players.json').read)
  end
end